Skip to main content
GET
/
api
/
v1
/
account_owned_vaults
Get account-owned vaults
curl --request GET \
  --url https://api.mainnet.aptoslabs.com/decibel/api/v1/account_owned_vaults \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "age_days": 123,
      "num_managers": 123,
      "status": "<string>",
      "vault_address": "<string>",
      "vault_name": "<string>",
      "vault_share_symbol": "<string>",
      "all_time_return": 123,
      "apr": 123,
      "manager_equity": 123,
      "manager_stake": 123,
      "tvl": 123
    }
  ],
  "total_count": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.decibel.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token from Geomi. See Authentication for setup instructions.

Query Parameters

account
string
required

Account address

pagination
object
required

Pagination parameters

Response

Account-owned vaults retrieved successfully

items
object[]
required

The items in the current page

total_count
integer<int32>
required

The total number of items across all pages

Required range: x >= 0